: Class FramedResourceHelper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class FramedResourceHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper
            |
            +--org.w3c.jigadmin.editors.ResourceHelper
                  |
                  +--org.w3c.jigadmin.editors.FramedResourceHelper

public class FramedResourceHelper
extends ResourceHelper

The resource editor.

Field Summary
`protected javax.swing.JPanel` | `attrs`
`protected FrameBrowser` | `browser`
`protected javax.swing.JPanel` | `comp`
`protected java.lang.String` | `name`
`protected RemoteResourceWrapper` | `rrw`
`protected RemoteResourceWrapper` | `selected_rrw`

Fields inherited from class org.w3c.jigadm.editors.ResourceHelper
`rls`

Constructor Summary
`FramedResourceHelper()`

Method Summary
`protected void` | `build(boolean framed)` Build the interface
`void` | `clearChanged()` set the current resource to be the original resource (ie: the hasChanged() method must return false now.
`void` | `commitChanges()` commit the changes (if any)
`java.awt.Component` | `getComponent()` Get the heper Component
`javax.swing.JMenuBar` | `getMenuBar(java.awt.Window parent)` Get the dedicated MenuBar
`java.lang.String` | `getTitle()` Get the helper title.
`boolean` | `hasChanged()` tells if the edited resource in the helper has changed
`void` | `initialize(RemoteResourceWrapper rw, java.util.Properties p)` initialize the helper
`void` | `resetChanges()` undo the not-yet-commited changes
`protected void` | `updateAttrs(RemoteResourceWrapper rrw)` Update the AttributesHelper

Methods inherited from class org.w3c.jigadmin.editors.ResourceHelper
`errorPopup, msgPopup`

Methods inherited from class org.w3c.jigadm.editors.ResourceHelper
`addResourceListener, getValue, processEvent, removeResourceListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### comp

    protected javax.swing.JPanel comp

### attrs

    protected javax.swing.JPanel attrs

### rrw

    protected RemoteResourceWrapper rrw

### selected_rrw

    protected RemoteResourceWrapper selected_rrw

### browser

    protected FrameBrowser browser

Constructor Detail

### FramedResourceHelper

    public FramedResourceHelper()

Method Detail

### getTitle

    public java.lang.String getTitle()

  Get the helper title.
  Overrides:
    getTitle in class ResourceHelper
  Returns:
    a String

### getComponent

    public java.awt.Component getComponent()

  Get the heper Component
  Overrides:
    getComponent in class ResourceHelper
  Returns:
    a Component

### hasChanged

    public boolean hasChanged()

  tells if the edited resource in the helper has changed
  Returns:
    true if the values changed. to get more informations about what has changed, you can use the three methods below.

### clearChanged

    public void clearChanged()

  set the current resource to be the original resource (ie: the hasChanged() method must return false now. to do a "fine tuned" reset, use one of the three following method.

### commitChanges

    public void commitChanges()
                       throws RemoteAccessException

  commit the changes (if any)
  Throws:
    RemoteAccessException - if a remote access error occurs.

### resetChanges

    public void resetChanges()

  undo the not-yet-commited changes

### updateAttrs

    protected void updateAttrs(RemoteResourceWrapper rrw)

  Update the AttributesHelper
  Parameters:
    `rrw` - the RemoteResourceWrapper of the RemoteReource to edit.

### initialize

    public void initialize(RemoteResourceWrapper rw,
                           java.util.Properties p)
                    throws RemoteAccessException

  initialize the helper
  Parameters:
    `r` - the ResourceWrapper containing the Resource edited with this helper
    `p` - some Properties, used to fine-tune the helper
  Throws:
    RemoteAccessException - if a remote access error occurs.

### getMenuBar

    public javax.swing.JMenuBar getMenuBar(java.awt.Window parent)

  Get the dedicated MenuBar
  Parameters:
    `parent` - the Window parent.

### build

    protected void build(boolean framed)

  Build the interface
  Parameters:
    `framed` - is the resource a FramedResource or not?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD